Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface EscalateAction

Deprecated. because this class should be no longer used in I-BPM

public interface EscalateAction

This interface defines operations by which a timer escalates an activity when it expires. All timer operations are controlled through properties with values which can be set at run time through user-defined process attributes. During development, you only need to specify the names of the user-defined process attributes where data values will later be stored.

See Also:
  `ActivityNode`, `Node`, `Plan`, `ScriptAction`, `SendMailAction`, `TimerAction`, `TimerDef`, `TimerStatus`

Method Summary
`java.lang.String` | `getEscalateActionGroupList()` Deprecated. Returns the name of a user-defined process attribute that stores a list of groups to be notified when the timer expires.
`java.lang.String` | `getEscalateActionNameList()` Deprecated. Returns the name of a user-defined process attribute that stores a list of users to be notified when the timer expires.
`void` | `setEscalateActionGroupList(java.lang.String nameListAtt)` Deprecated. Sets the name of the user-defined process attribute that stores the list of groups to be notified when the timer expires.
`void` | `setEscalateActionNameList(java.lang.String nameListAtt)` Deprecated. Sets the name of the user-defined process attribute that stores the list of users to be notified when the timer expires.

Method Detail

### setEscalateActionNameList

    public void setEscalateActionNameList(java.lang.String nameListAtt)
                                   throws ModelException

  Deprecated.
  Sets the name of the user-defined process attribute that stores the list of users to be notified when the timer expires. Sets the name of the user-defined process attribute that contains the comma-separated list of names of users to be notified when the timer expires.

  Parameters:
    `nameListAtt` - The name of the user-defined process attribute that contains the list of names to be notified.
  Throws:
    `ModelException` - if setting the user-defined process attribute containing the name list fails.

### getEscalateActionNameList

    public java.lang.String getEscalateActionNameList()
                                               throws ModelException

  Deprecated.
  Returns the name of a user-defined process attribute that stores a list of users to be notified when the timer expires. Returns the name of the user-defined process attribute that contains the comma-separated list of names of users to be notified when the timer expires.

  Returns:
    The name of the user-defined process attribute that contains the list of names to be notified.
  Throws:
    `ModelException` - if retrieving the user-defined process attribute containing the name list fails.

### setEscalateActionGroupList

    public void setEscalateActionGroupList(java.lang.String nameListAtt)
                                    throws ModelException

  Deprecated.
  Sets the name of the user-defined process attribute that stores the list of groups to be notified when the timer expires. Sets the name of the user-defined process attribute that contains the comma-separated list of names of groups to be notified when the timer expires.

  Parameters:
    `nameListAtt` - The name of the user-defined process attribute that contains the list of names to be notified.
  Throws:
    `ModelException` - if setting the user-defined process attribute containing the name list fails.

### getEscalateActionGroupList

    public java.lang.String getEscalateActionGroupList()
                                                throws ModelException

  Deprecated.
  Returns the name of a user-defined process attribute that stores a list of groups to be notified when the timer expires. Returns the name of the user-defined process attribute that contains the comma-separated list of names of groups to be notified when the timer expires.

  Returns:
    The name of the user-defined process attribute that contains the list of names to be notified.
  Throws:
    `ModelException` - if retrieving the user-defined process attribute containing the name list fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD